# frozen_string_literal: true

require_relative "lib/jive/version"

Gem::Specification.new do |spec|
  spec.name          = "jive"
  spec.version       = Jive::VERSION
  spec.authors       = ["mo khan"]
  spec.email         = ["mo@mokhan.ca"]

  spec.summary       = "The art just comes."
  spec.description   = "The art just comes."
  spec.homepage      = "https://rubygems.org/gems/jive"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.5.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.files = Dir["lib/**/*.rb"] + Dir["exe/*"] + [
    "LICENSE.txt",
    "README.md",
    "jive.gemspec",
    "jive.sh"
  ] + Dir["lib/**/templates/*.md"]
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.post_install_message = <<~MESSAGE
    Run the following command for setup instructions:

      $ jive setup
  MESSAGE

  spec.add_dependency "cli-ui", "~> 1.5"
  spec.add_dependency "rugged", "~> 1.1"
  spec.add_dependency "thor", "~> 1.1"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "rake", "~> 13.0"
  spec.add_development_dependency "rubocop", "~> 1.7"
  spec.add_development_dependency "rubocop-minitest", "~> 0.1"
  spec.add_development_dependency "rubocop-rake", "~> 0.5"
end
